com.corticon.rulesemf.canonicaltestmodel.testsheet

## Interface Testsheet

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Testsheet
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Testsheet'.

  The following features are supported:

  - `Cascade`
  - `Rule Activity Update Stamp`
  - `Remote Server Uri`
  - `Decision Service Name`
  - `Database Mode`
  - `Return Entity Mode`
  - `Input`
  - `Output`
  - `Expected Output`
  - `Rule Activity`
  - `Restrict Info Rule Messages`
  - `Restrict Warning Rule Messages`
  - `Restrict Violation Rule Messages`
  See Also:
    `TestsheetPackage.getTestsheet()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseMode` | `getDatabaseMode()` Returns the value of the 'Database Mode' attribute.
    `java.lang.String` | `getDecisionServiceName()` Returns the value of the 'Decision Service Name' attribute
    `Output` | `getExpectedOutput()` Returns the value of the 'Expected Output' containment reference
    `Input` | `getInput()` Returns the value of the 'Input' containment reference
    `Output` | `getOutput()` Returns the value of the 'Output' containment reference
    `java.lang.String` | `getRemoteServerUri()` Returns the value of the 'Remote Server Uri' attribute
    `java.lang.Boolean` | `getRestrictInfoRuleMessages()` Returns the value of the 'Restrict Info Rule Messages' attribute
    `java.lang.Boolean` | `getRestrictViolationRuleMessages()` Returns the value of the 'Restrict Violation Rule Messages' attribute
    `java.lang.Boolean` | `getRestrictWarningRuleMessages()` Returns the value of the 'Restrict Warning Rule Messages' attribute
    `ReturnEntityMode` | `getReturnEntityMode()` Returns the value of the 'Return Entity Mode' attribute.
    `RuleActivity` | `getRuleActivity()` Returns the value of the 'Rule Activity' reference
    `java.lang.String` | `getRuleActivityUpdateStamp()` Returns the value of the 'Rule Activity Update Stamp' attribute
    `boolean` | `isCascade()` Returns the value of the 'Cascade' attribute
    `void` | `setCascade(boolean value)` Sets the value of the '`Cascade`' attribute
    `void` | `setDatabaseMode(DatabaseMode value)` Sets the value of the '`Database Mode`' attribute
    `void` | `setDecisionServiceName(java.lang.String value)` Sets the value of the '`Decision Service Name`' attribute
    `void` | `setExpectedOutput(Output value)` Sets the value of the '`Expected Output`' containment reference
    `void` | `setInput(Input value)` Sets the value of the '`Input`' containment reference
    `void` | `setOutput(Output value)` Sets the value of the '`Output`' containment reference
    `void` | `setRemoteServerUri(java.lang.String value)` Sets the value of the '`Remote Server Uri`' attribute
    `void` | `setRestrictInfoRuleMessages(java.lang.Boolean value)` Sets the value of the '`Restrict Info Rule Messages`' attribute
    `void` | `setRestrictViolationRuleMessages(java.lang.Boolean value)` Sets the value of the '`Restrict Violation Rule Messages`' attribute
    `void` | `setRestrictWarningRuleMessages(java.lang.Boolean value)` Sets the value of the '`Restrict Warning Rule Messages`' attribute
    `void` | `setReturnEntityMode(ReturnEntityMode value)` Sets the value of the '`Return Entity Mode`' attribute
    `void` | `setRuleActivity(RuleActivity value)` Sets the value of the '`Rule Activity`' reference
    `void` | `setRuleActivityUpdateStamp(java.lang.String value)` Sets the value of the '`Rule Activity Update Stamp`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isCascade

          boolean isCascade()

      Returns the value of the 'Cascade' attribute.

      If the meaning of the 'Cascade' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Cascade' attribute.
      See Also:
        `setCascade(boolean)`, `TestsheetPackage.getTestsheet_Cascade()`

    - #### setCascade

          void setCascade(boolean value)

      Sets the value of the '`Cascade`' attribute.
      Parameters:
        `value` - the new value of the 'Cascade' attribute.
      See Also:
        `isCascade()`

    - #### getRuleActivityUpdateStamp

          java.lang.String getRuleActivityUpdateStamp()

      Returns the value of the 'Rule Activity Update Stamp' attribute.

      If the meaning of the 'Rule Activity Update Stamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Activity Update Stamp' attribute.
      See Also:
        `setRuleActivityUpdateStamp(String)`, `TestsheetPackage.getTestsheet_RuleActivityUpdateStamp()`

    - #### setRuleActivityUpdateStamp

          void setRuleActivityUpdateStamp(java.lang.String value)

      Sets the value of the '`Rule Activity Update Stamp`' attribute.
      Parameters:
        `value` - the new value of the 'Rule Activity Update Stamp' attribute.
      See Also:
        `getRuleActivityUpdateStamp()`

    - #### getRemoteServerUri

          java.lang.String getRemoteServerUri()

      Returns the value of the 'Remote Server Uri' attribute.

      If the meaning of the 'Remote Server Uri' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Remote Server Uri' attribute.
      See Also:
        `setRemoteServerUri(String)`, `TestsheetPackage.getTestsheet_RemoteServerUri()`

    - #### setRemoteServerUri

          void setRemoteServerUri(java.lang.String value)

      Sets the value of the '`Remote Server Uri`' attribute.
      Parameters:
        `value` - the new value of the 'Remote Server Uri' attribute.
      See Also:
        `getRemoteServerUri()`

    - #### getDecisionServiceName

          java.lang.String getDecisionServiceName()

      Returns the value of the 'Decision Service Name' attribute.

      If the meaning of the 'Decision Service Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Decision Service Name' attribute.
      See Also:
        `setDecisionServiceName(String)`, `TestsheetPackage.getTestsheet_DecisionServiceName()`

    - #### setDecisionServiceName

          void setDecisionServiceName(java.lang.String value)

      Sets the value of the '`Decision Service Name`' attribute.
      Parameters:
        `value` - the new value of the 'Decision Service Name' attribute.
      See Also:
        `getDecisionServiceName()`

    - #### getDatabaseMode

          DatabaseMode getDatabaseMode()

      Returns the value of the 'Database Mode' attribute. The literals are from the enumeration `DatabaseMode`.

      If the meaning of the 'Database Mode' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Mode' attribute.
      See Also:
        `DatabaseMode`, `setDatabaseMode(DatabaseMode)`, `TestsheetPackage.getTestsheet_DatabaseMode()`

    - #### setDatabaseMode

          void setDatabaseMode(DatabaseMode value)

      Sets the value of the '`Database Mode`' attribute.
      Parameters:
        `value` - the new value of the 'Database Mode' attribute.
      See Also:
        `DatabaseMode`, `getDatabaseMode()`

    - #### getReturnEntityMode

          ReturnEntityMode getReturnEntityMode()

      Returns the value of the 'Return Entity Mode' attribute. The literals are from the enumeration `ReturnEntityMode`.

      If the meaning of the 'Return Entity Mode' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Return Entity Mode' attribute.
      See Also:
        `ReturnEntityMode`, `setReturnEntityMode(ReturnEntityMode)`, `TestsheetPackage.getTestsheet_ReturnEntityMode()`

    - #### setReturnEntityMode

          void setReturnEntityMode(ReturnEntityMode value)

      Sets the value of the '`Return Entity Mode`' attribute.
      Parameters:
        `value` - the new value of the 'Return Entity Mode' attribute.
      See Also:
        `ReturnEntityMode`, `getReturnEntityMode()`

    - #### getInput

          Input getInput()

      Returns the value of the 'Input' containment reference.

      If the meaning of the 'Input' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Input' containment reference.
      See Also:
        `setInput(Input)`, `TestsheetPackage.getTestsheet_Input()`

    - #### setInput

          void setInput(Input value)

      Sets the value of the '`Input`' containment reference.
      Parameters:
        `value` - the new value of the 'Input' containment reference.
      See Also:
        `getInput()`

    - #### getOutput

          Output getOutput()

      Returns the value of the 'Output' containment reference.

      If the meaning of the 'Output' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Output' containment reference.
      See Also:
        `setOutput(Output)`, `TestsheetPackage.getTestsheet_Output()`

    - #### setOutput

          void setOutput(Output value)

      Sets the value of the '`Output`' containment reference.
      Parameters:
        `value` - the new value of the 'Output' containment reference.
      See Also:
        `getOutput()`

    - #### getExpectedOutput

          Output getExpectedOutput()

      Returns the value of the 'Expected Output' containment reference.

      If the meaning of the 'Expected Output' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expected Output' containment reference.
      See Also:
        `setExpectedOutput(Output)`, `TestsheetPackage.getTestsheet_ExpectedOutput()`

    - #### setExpectedOutput

          void setExpectedOutput(Output value)

      Sets the value of the '`Expected Output`' containment reference.
      Parameters:
        `value` - the new value of the 'Expected Output' containment reference.
      See Also:
        `getExpectedOutput()`

    - #### getRuleActivity

          RuleActivity getRuleActivity()

      Returns the value of the 'Rule Activity' reference.

      If the meaning of the 'Rule Activity' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Activity' reference.
      See Also:
        `setRuleActivity(RuleActivity)`, `TestsheetPackage.getTestsheet_RuleActivity()`

    - #### setRuleActivity

          void setRuleActivity(RuleActivity value)

      Sets the value of the '`Rule Activity`' reference.
      Parameters:
        `value` - the new value of the 'Rule Activity' reference.
      See Also:
        `getRuleActivity()`

    - #### getRestrictInfoRuleMessages

          java.lang.Boolean getRestrictInfoRuleMessages()

      Returns the value of the 'Restrict Info Rule Messages' attribute.

      If the meaning of the 'Restrict Info Rule Messages' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Restrict Info Rule Messages' attribute.
      See Also:
        `setRestrictInfoRuleMessages(Boolean)`, `TestsheetPackage.getTestsheet_RestrictInfoRuleMessages()`

    - #### setRestrictInfoRuleMessages

          void setRestrictInfoRuleMessages(java.lang.Boolean value)

      Sets the value of the '`Restrict Info Rule Messages`' attribute.
      Parameters:
        `value` - the new value of the 'Restrict Info Rule Messages' attribute.
      See Also:
        `getRestrictInfoRuleMessages()`

    - #### getRestrictWarningRuleMessages

          java.lang.Boolean getRestrictWarningRuleMessages()

      Returns the value of the 'Restrict Warning Rule Messages' attribute.

      If the meaning of the 'Restrict Warning Rule Messages' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Restrict Warning Rule Messages' attribute.
      See Also:
        `setRestrictWarningRuleMessages(Boolean)`, `TestsheetPackage.getTestsheet_RestrictWarningRuleMessages()`

    - #### setRestrictWarningRuleMessages

          void setRestrictWarningRuleMessages(java.lang.Boolean value)

      Sets the value of the '`Restrict Warning Rule Messages`' attribute.
      Parameters:
        `value` - the new value of the 'Restrict Warning Rule Messages' attribute.
      See Also:
        `getRestrictWarningRuleMessages()`

    - #### getRestrictViolationRuleMessages

          java.lang.Boolean getRestrictViolationRuleMessages()

      Returns the value of the 'Restrict Violation Rule Messages' attribute.

      If the meaning of the 'Restrict Violation Rule Messages' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Restrict Violation Rule Messages' attribute.
      See Also:
        `setRestrictViolationRuleMessages(Boolean)`, `TestsheetPackage.getTestsheet_RestrictViolationRuleMessages()`

    - #### setRestrictViolationRuleMessages

          void setRestrictViolationRuleMessages(java.lang.Boolean value)

      Sets the value of the '`Restrict Violation Rule Messages`' attribute.
      Parameters:
        `value` - the new value of the 'Restrict Violation Rule Messages' attribute.
      See Also:
        `getRestrictViolationRuleMessages()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.